<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.5"/>
<title>Advanced Cuts for Cooperative OPF: inc/plantbusInfo.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">Advanced Cuts for Cooperative OPF
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.5 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Friends</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_bfccd401955b95cf8c75461437045ac0.html">inc</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">plantbusInfo.hpp</div>  </div>
</div><!--header-->
<div class="contents">
<a href="plantbus_info_8hpp.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/**********************************************************************************</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright (c) 2021 Process Systems Engineering (AVT.SVT), RWTH Aachen University</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * This program and the accompanying materials are made available under the</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> * terms of the Eclipse Public License 2.0 which is available at</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * http://www.eclipse.org/legal/epl-2.0.</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> * SPDX-License-Identifier: EPL-2.0</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> **********************************************************************************/</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#pragma once</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="preprocessor"></span></div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="keyword">namespace </span>decoop {</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div>
<div class="line"><a name="l00024"></a><span class="lineno"><a class="line" href="classdecoop_1_1_plantbus_info.html">   24</a></span>&#160;    <span class="keyword">class </span><a class="code" href="classdecoop_1_1_plantbus_info.html">PlantbusInfo</a> {</div>
<div class="line"><a name="l00025"></a><span class="lineno"><a class="line" href="classdecoop_1_1_plantbus_info.html#a0d9569d0c9a097dcb9faf642019f58c9">   25</a></span>&#160;        <span class="keywordtype">bool</span> <a class="code" href="classdecoop_1_1_plantbus_info.html#a0d9569d0c9a097dcb9faf642019f58c9">no_update_</a>;    </div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;    <span class="keyword">public</span>:</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;        <a class="code" href="classdecoop_1_1_plantbus_info.html#a40c2deb86d50358ccb6d58ec279696c9">PlantbusInfo</a>();</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;</div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;        <span class="keywordtype">bool</span> <a class="code" href="classdecoop_1_1_plantbus_info.html#a356ac537eb88912e93bb7a453dd70994">get_no_update</a>() <span class="keyword">const</span>;</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="classdecoop_1_1_plantbus_info.html#a349969f7cc503273e11a38b81bb36f06">set_no_update</a>(<span class="keyword">const</span> <span class="keywordtype">bool</span> value);</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;    };</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;} <span class="comment">//namespace decoop</span></div>
<div class="ttc" id="classdecoop_1_1_plantbus_info_html"><div class="ttname"><a href="classdecoop_1_1_plantbus_info.html">decoop::PlantbusInfo</a></div><div class="ttdoc">Contains information on subproblem status that is relevant for CoopBendersAlgorithm class but not nec...</div><div class="ttdef"><b>Definition:</b> plantbusInfo.hpp:24</div></div>
<div class="ttc" id="classdecoop_1_1_plantbus_info_html_a356ac537eb88912e93bb7a453dd70994"><div class="ttname"><a href="classdecoop_1_1_plantbus_info.html#a356ac537eb88912e93bb7a453dd70994">decoop::PlantbusInfo::get_no_update</a></div><div class="ttdeci">bool get_no_update() const </div><div class="ttdoc">no_update_ indicates whether or not new power profiles should be suggested for a plantbus. </div><div class="ttdef"><b>Definition:</b> plantbusInfo.cpp:24</div></div>
<div class="ttc" id="classdecoop_1_1_plantbus_info_html_a40c2deb86d50358ccb6d58ec279696c9"><div class="ttname"><a href="classdecoop_1_1_plantbus_info.html#a40c2deb86d50358ccb6d58ec279696c9">decoop::PlantbusInfo::PlantbusInfo</a></div><div class="ttdeci">PlantbusInfo()</div><div class="ttdoc">Default constructor. </div><div class="ttdef"><b>Definition:</b> plantbusInfo.cpp:22</div></div>
<div class="ttc" id="classdecoop_1_1_plantbus_info_html_a349969f7cc503273e11a38b81bb36f06"><div class="ttname"><a href="classdecoop_1_1_plantbus_info.html#a349969f7cc503273e11a38b81bb36f06">decoop::PlantbusInfo::set_no_update</a></div><div class="ttdeci">void set_no_update(const bool value)</div><div class="ttdoc">no_update_ indicates whether or not new power profiles should be suggested for a plantbus. </div><div class="ttdef"><b>Definition:</b> plantbusInfo.cpp:28</div></div>
<div class="ttc" id="classdecoop_1_1_plantbus_info_html_a0d9569d0c9a097dcb9faf642019f58c9"><div class="ttname"><a href="classdecoop_1_1_plantbus_info.html#a0d9569d0c9a097dcb9faf642019f58c9">decoop::PlantbusInfo::no_update_</a></div><div class="ttdeci">bool no_update_</div><div class="ttdoc">Indicates whether or not new power profiles should be suggested for a plantbus. </div><div class="ttdef"><b>Definition:</b> plantbusInfo.hpp:25</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.5
</small></address>
</body>
</html>
